<?php
/**
 * SMF Arcade
 *
 * @package SMF Arcade
 * @version 2.6
 * @license https://web-develop.ca/index.php?page=arcade_license_BSD2 BSD 2
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function smftaskmenu_array_insert(&$input, $key, $insert, $where = 'before', $strict = false)
{
	$position = array_search($key, array_keys($input), $strict);

	// Key not found -> insert as last
	if ($position === false)
	{
		$input = array_merge($input, $insert);
		return;
	}

	if ($where === 'after')
		$position += 1;

	// Insert as first
	if ($position === 0)
		$input = array_merge($insert, $input);
	else
		$input = array_merge(
			array_slice($input, 0, $position),
			$insert,
			array_slice($input, $position)
		);
}

function task_menu_buttons(&$menu_buttons)
{
	global $context, $scripturl, $txt, $user_info;
	loadLanguage('TaskMenuAddon');

	if (!$context['allow_admin'])
		$context['allow_admin'] = allowedTo('arcade_admin');

	smftaskmenu_array_insert($menu_buttons, 'signup',
		array(
			'login' => array(
				'title' => $txt['taskmenu_login'],
				'icon' => '/icons/login.png',
				'href' => $scripturl . '?action=login',
				'show' => $user_info['is_guest'],
				'sub_buttons' => array(
				),
				'is_last' => !$context['right_to_left'],
			),
		)
	);

	smftaskmenu_array_insert($menu_buttons, 'signup',
		array(
			'logout' => array(
				'title' => $txt['taskmenu_logout'],
				'icon' => '/icons/logout.png',
				'href' => $scripturl . '?action=logout;%1$s=%2$s',
				'show' => !$user_info['is_guest'],
				'sub_buttons' => array(
				),
				'is_last' => !$context['right_to_left'],
			),
		), 'after'
	);
	
	// adjust sign up icon
	$menu_buttons['signup']['icon'] = '/icons/register.png';
}

?>